En línea ahora  

/v1/account/

Manages Access to the AppointmentTrader Account
GET

/v1/account/get_incoming_payment_session

#
Returns details of the incoming payment session and information on whether it has been completed or is still pending.

Parámetros

NombreTipoObligatorioPredeterminadoDescripción
uniquePaymentSessionID string si — unique session id returned by /v1/account/set_start_incoming_payment_session
Ejemplo de solicitud (cURL)
curl --get \
  'https://es.appointmenttrader.com/v1/account/get_incoming_payment_session' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'uniquePaymentSessionID={{uniquePaymentSessionID}}'

Respuesta

JSON
See the shared response schema and synthetic example.
Campos de respuesta
CampoTipoObligatorioDescripción
$account_get_incoming_payment_session_Response si
$.oneOf[0] si
$.oneOf[0].allOf[0]object si
$.oneOf[0].allOf[0].RequestUserAliasstring si
$.oneOf[0].allOf[0].RequestPathstring | null si
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" si
$.oneOf[0].allOf[0].ResponseCodeinteger si
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object si
$.oneOf[0].allOf[1].Payloadobject si
$.oneOf[0].allOf[1].Payload.Namestring si
$.oneOf[0].allOf[1].Payload.MetaInformationarray si
$.oneOf[0].allOf[1].Payload.MetaInformation[]string No
$.oneOf[0].allOf[1].Payload.KeyValueListarray si
$.oneOf[0].allOf[1].Payload.KeyValueList[]object No
$.oneOf[0].allOf[1].Payload.KeyValueList[].uniquePaymentSessionIDstring si
$.oneOf[0].allOf[1].Payload.KeyValueList[].createDatestring si
$.oneOf[0].allOf[1].Payload.KeyValueList[].lastUpdateDatestring si
$.oneOf[0].allOf[1].Payload.KeyValueList[].expiryDatestring si
$.oneOf[0].allOf[1].Payload.KeyValueList[].sessionStatusstring ["active","expired"] si
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentTypestring si
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSecondsDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.KeyValueList[].userAliasstring si
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionReferenceIDstring si
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionDescriptionstring si
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmountDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmountDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails si
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0]object si
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].DestinationAccountstring No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[0]string | number | boolean | null No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1]array No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1][]PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2]object No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2].*PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1]array si
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][]PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[0]string | number | boolean | null No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1]array No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1][]PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2]object No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2].*PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[2]string | number | boolean | null si
$.oneOf[0].allOf[1].Payload.KeyValueList[].fundingStatusstring ["not_funded","funded"] si
$.oneOf[0].allOf[1].Payload.KeyValueFieldListarray si
$.oneOf[0].allOf[1].Payload.KeyValueFieldList[]string No
$.oneOf[1]object si
$.oneOf[1].RequestUserAliasstring si
$.oneOf[1].RequestPathstring | null si
$.oneOf[1].RequestStatus = "Failed" si
$.oneOf[1].ResponseCodeinteger si
$.oneOf[1].ResponseMessageAPIResponseMessage si
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[1].ResponseMessage.oneOf[1]array si
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object si
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Ejemplo de respuesta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/get_incoming_payment_session",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Name": "synthetic-example",
        "MetaInformation": [],
        "KeyValueList": [],
        "KeyValueFieldList": []
    }
}
Documentación del endpoint legible por máquinas
GET

/v1/account/get_ledger

#
Returns paginated ledger entries for one account owned by the acting API user. Admin tools should access another user's ledger through the dispatcher impersonationUserAlias parameter; this endpoint still validates the account against the effective API user.

Parámetros

NombreTipoObligatorioPredeterminadoDescripción
accountID string si — Account ID owned by the acting API user.
pageNumber int No 0 Zero-based page number.
pageLength int No 50 Number of ledger rows to return, capped at 200.
Ejemplo de solicitud (cURL)
curl --get \
  'https://es.appointmenttrader.com/v1/account/get_ledger' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'accountID={{accountID}}' \
  --data-urlencode 'pageNumber={{pageNumber}}' \
  --data-urlencode 'pageLength={{pageLength}}'

Respuesta

JSON
See the shared response schema and synthetic example.
Campos de respuesta
CampoTipoObligatorioDescripción
$account_get_ledger_Response si
$.oneOf[0] si
$.oneOf[0].allOf[0]object si
$.oneOf[0].allOf[0].RequestUserAliasstring si
$.oneOf[0].allOf[0].RequestPathstring | null si
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" si
$.oneOf[0].allOf[0].ResponseCodeinteger si
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object si
$.oneOf[0].allOf[1].Payloadobject si
$.oneOf[0].allOf[1].Payload.Accountobject si
$.oneOf[0].allOf[1].Payload.Account.Currencystring si
$.oneOf[0].allOf[1].Payload.Account.CurrencySymbolstring si
$.oneOf[0].allOf[1].Payload.Account.CreatedDatestring si
$.oneOf[0].allOf[1].Payload.Account.LastUpdateDatestring si
$.oneOf[0].allOf[1].Payload.Account.Namestring si
$.oneOf[0].allOf[1].Payload.Account.Descriptionstring si
$.oneOf[0].allOf[1].Payload.Account.IDDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.ID.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.Account.ID.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Account.ATUser_IDDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.ATUser_ID.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.Account.ATUser_ID.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Account.CurrencyCreditLimitDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.CurrencyCreditLimit.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.Account.CurrencyCreditLimit.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Account.PayoutDefaultBasisPointsDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.PayoutDefaultBasisPoints.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.Account.PayoutDefaultBasisPoints.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Account.PointsCreditLimitDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.PointsCreditLimit.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.Account.PointsCreditLimit.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Account.IsATCorporateAccountDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.IsATCorporateAccount.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.Account.IsATCorporateAccount.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Account.IsDefaultDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.IsDefault.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.Account.IsDefault.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Account.IsDepositAccountDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.IsDepositAccount.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.Account.IsDepositAccount.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Account.CurrencyBalanceDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.CurrencyBalance.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.Account.CurrencyBalance.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Account.PointsBalanceDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.PointsBalance.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.Account.PointsBalance.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Ledgerarray si
$.oneOf[0].allOf[1].Payload.Ledger[]object No
$.oneOf[0].allOf[1].Payload.Ledger[].CreatedDatestring si
$.oneOf[0].allOf[1].Payload.Ledger[].LastUpdateDatestring si
$.oneOf[0].allOf[1].Payload.Ledger[].Namestring si
$.oneOf[0].allOf[1].Payload.Ledger[].Descriptionstring si
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationObjectstring siStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].IDDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].ID.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.Ledger[].ID.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyAmountDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyAmount.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyAmount.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Ledger[].PointsAmountDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].PointsAmount.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.Ledger[].PointsAmount.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyBalanceDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyBalance.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyBalance.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Ledger[].PointsBalanceDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].PointsBalance.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.Ledger[].PointsBalance.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID si
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[0]DatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[0].oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[0].oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID si
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[0]DatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[0].oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[0].oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID si
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[0]DatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[0].oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[0].oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID si
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[0]DatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[0].oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[0].oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationID si
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationID.anyOf[0]string si
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationID.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.Ledger[].SupplementalURL si
$.oneOf[0].allOf[1].Payload.Ledger[].SupplementalURL.anyOf[0]string si
$.oneOf[0].allOf[1].Payload.Ledger[].SupplementalURL.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-RefundObject siStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-RefundObject.anyOf[0]string si
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-RefundObject.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-DisputeObject siStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-DisputeObject.anyOf[0]string si
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-DisputeObject.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-RefundObject siStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-RefundObject.anyOf[0]string si
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-RefundObject.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-DisputeObject siStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-DisputeObject.anyOf[0]string si
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-DisputeObject.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.Ledger[].RefundInstruction siStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].RefundInstruction.anyOf[0]string si
$.oneOf[0].allOf[1].Payload.Ledger[].RefundInstruction.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.Ledger[].TransactionTypestring ["DEBIT","CREDIT"] si
$.oneOf[0].allOf[1].Payload.Pageobject si
$.oneOf[0].allOf[1].Payload.Page.PageNumberinteger si
$.oneOf[0].allOf[1].Payload.Page.PageLengthinteger si
$.oneOf[0].allOf[1].Payload.Page.NextPageNumber si
$.oneOf[0].allOf[1].Payload.Page.NextPageNumber.anyOf[0]integer si
$.oneOf[0].allOf[1].Payload.Page.NextPageNumber.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.Page.PreviousPageNumber si
$.oneOf[0].allOf[1].Payload.Page.PreviousPageNumber.anyOf[0]integer si
$.oneOf[0].allOf[1].Payload.Page.PreviousPageNumber.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.Page.HasMoreboolean si
$.oneOf[1]object si
$.oneOf[1].RequestUserAliasstring si
$.oneOf[1].RequestPathstring | null si
$.oneOf[1].RequestStatus = "Failed" si
$.oneOf[1].ResponseCodeinteger si
$.oneOf[1].ResponseMessageAPIResponseMessage si
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[1].ResponseMessage.oneOf[1]array si
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object si
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Ejemplo de respuesta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/get_ledger",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Account": {
            "Currency": "synthetic-example",
            "CurrencySymbol": "synthetic-example",
            "CreatedDate": "synthetic-example",
            "LastUpdateDate": "synthetic-example",
            "Name": "synthetic-example",
            "Description": "synthetic-example",
            "ID": 0,
            "ATUser_ID": 0,
            "CurrencyCreditLimit": 0,
            "PayoutDefaultBasisPoints": 0,
            "PointsCreditLimit": 0,
            "IsATCorporateAccount": 0,
            "IsDefault": 0,
            "IsDepositAccount": 0,
            "CurrencyBalance": 0,
            "PointsBalance": 0
        },
        "Ledger": [],
        "Page": {
            "PageNumber": 0,
            "PageLength": 0,
            "NextPageNumber": 0,
            "PreviousPageNumber": 0,
            "HasMore": false
        }
    }
}
Documentación del endpoint legible por máquinas
GET

/v1/account/get_list

#
Returns all available user accounts including their balances and if applicable credit limits in the smallest possible currency unit

Parámetros

NombreTipoObligatorioPredeterminadoDescripción
searchFilter string No "" filter criteria
includeDepositAccount bool No false defines if deposit account should be return
pageSize int No 50 Defines how many results will be return per request
pageNumber int No 0 Defines which page should be returned
includeCorporateAccounts bool No false Admin-only flag to include corporate accounts owned by the inspected user.
includeHiddenAccounts bool No false Admin-only flag to include hidden accounts owned by the inspected user.
Ejemplo de solicitud (cURL)
curl --get \
  'https://es.appointmenttrader.com/v1/account/get_list' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'searchFilter={{searchFilter}}' \
  --data-urlencode 'includeDepositAccount={{includeDepositAccount}}' \
  --data-urlencode 'pageSize={{pageSize}}' \
  --data-urlencode 'pageNumber={{pageNumber}}' \
  --data-urlencode 'includeCorporateAccounts={{includeCorporateAccounts}}' \
  --data-urlencode 'includeHiddenAccounts={{includeHiddenAccounts}}'

Respuesta

JSON
See the shared response schema and synthetic example.
Campos de respuesta
CampoTipoObligatorioDescripción
$account_get_list_Response si
$.oneOf[0] si
$.oneOf[0].allOf[0]object si
$.oneOf[0].allOf[0].RequestUserAliasstring si
$.oneOf[0].allOf[0].RequestPathstring | null si
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" si
$.oneOf[0].allOf[0].ResponseCodeinteger si
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object si
$.oneOf[0].allOf[1].Payloadobject si
$.oneOf[0].allOf[1].Payload.ATResponseObjectType = "NestedKeyValueList" si
$.oneOf[0].allOf[1].Payload.ResponseBodyobject si
$.oneOf[0].allOf[1].Payload.ResponseBody.Namestring si
$.oneOf[0].allOf[1].Payload.ResponseBody.MetaInformationarray si
$.oneOf[0].allOf[1].Payload.ResponseBody.MetaInformation[]string No
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueListarray si
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[]object No
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountNamestring si
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountDescriptionstring si
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencystring si
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencySymbolstring si
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountNameAndBalancestring si
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIDDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountID.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountID.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyBalanceDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyBalance.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyBalance.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsBalanceDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsBalance.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsBalance.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyCreditLimitDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyCreditLimit.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyCreditLimit.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsCreditLimitDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsCreditLimit.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsCreditLimit.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIsCorporateDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIsCorporate.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIsCorporate.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountAvailableCurrencyBalancenumber si
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountAvailablePointsBalancenumber si
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueFieldListarray si
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueFieldList[]string No
$.oneOf[1]object si
$.oneOf[1].RequestUserAliasstring si
$.oneOf[1].RequestPathstring | null si
$.oneOf[1].RequestStatus = "Failed" si
$.oneOf[1].ResponseCodeinteger si
$.oneOf[1].ResponseMessageAPIResponseMessage si
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[1].ResponseMessage.oneOf[1]array si
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object si
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Ejemplo de respuesta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/get_list",
    "RequestUserAlias": "example-user",
    "Payload": {
        "ATResponseObjectType": "NestedKeyValueList",
        "ResponseBody": {
            "Name": "synthetic-example",
            "MetaInformation": [],
            "KeyValueList": [],
            "KeyValueFieldList": []
        }
    }
}
Documentación del endpoint legible por máquinas
POST

/v1/account/set_start_incoming_payment_session

#
Creates an incoming payments session which will be credited to API users main account. The gross amount will be discounted, and the discounted expected payment will be returned

Parámetros

NombreTipoObligatorioPredeterminadoDescripción
paymentType string si — Type of payment used
grossAmount int si — Amount that shall be received by the transaction
transactionReferenceID string si — this reference number can be used to avoid creating new payments sessions for the same checkout flow, if an active payments session for this transactionReferenceID exists the ExpiryTime will extended by the payment types sessionLifetime
transactionDescription string si — this description will reflect on the users account detailing what the charge was for.
isWritingRequest bool No false all set_[...] functions have this parameter - if false (which is default) the method will execute without writing any data. Set this parameter to true once you are sure that you tested your logic and want to execute a writing request
Ejemplo de solicitud (cURL)
curl --request POST \
  'https://es.appointmenttrader.com/v1/account/set_start_incoming_payment_session' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'paymentType={{paymentType}}' \
  --data-urlencode 'grossAmount={{grossAmount}}' \
  --data-urlencode 'transactionReferenceID={{transactionReferenceID}}' \
  --data-urlencode 'transactionDescription={{transactionDescription}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

Respuesta

JSON
See the shared response schema and synthetic example.
Campos de respuesta
CampoTipoObligatorioDescripción
$account_set_start_incoming_payment_session_Response si
$.oneOf[0] si
$.oneOf[0].allOf[0]object si
$.oneOf[0].allOf[0].RequestUserAliasstring si
$.oneOf[0].allOf[0].RequestPathstring | null si
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" si
$.oneOf[0].allOf[0].ResponseCodeinteger si
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object si
$.oneOf[0].allOf[1].Payloadobject si
$.oneOf[0].allOf[1].Payload.Namestring si
$.oneOf[0].allOf[1].Payload.MetaInformationarray si
$.oneOf[0].allOf[1].Payload.MetaInformation[]string No
$.oneOf[0].allOf[1].Payload.KeyValueListarray si
$.oneOf[0].allOf[1].Payload.KeyValueList[]object No
$.oneOf[0].allOf[1].Payload.KeyValueList[].uniquePaymentSessionIDstring si
$.oneOf[0].allOf[1].Payload.KeyValueList[].createDatestring si
$.oneOf[0].allOf[1].Payload.KeyValueList[].lastUpdateDatestring si
$.oneOf[0].allOf[1].Payload.KeyValueList[].expiryDatestring si
$.oneOf[0].allOf[1].Payload.KeyValueList[].sessionStatusstring ["active","expired"] si
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentTypestring si
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSecondsDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.KeyValueList[].userAliasstring si
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionReferenceIDstring si
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionDescriptionstring si
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmountDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmountDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails si
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0]object si
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].DestinationAccountstring No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[0]string | number | boolean | null No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1]array No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1][]PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2]object No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2].*PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1]array si
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][]PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[0]string | number | boolean | null No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1]array No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1][]PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2]object No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2].*PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[2]string | number | boolean | null si
$.oneOf[0].allOf[1].Payload.KeyValueList[].fundingStatusstring ["not_funded","funded"] si
$.oneOf[0].allOf[1].Payload.KeyValueFieldListarray si
$.oneOf[0].allOf[1].Payload.KeyValueFieldList[]string No
$.oneOf[1]object si
$.oneOf[1].RequestUserAliasstring si
$.oneOf[1].RequestPathstring | null si
$.oneOf[1].RequestStatus = "Failed" si
$.oneOf[1].ResponseCodeinteger si
$.oneOf[1].ResponseMessageAPIResponseMessage si
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[1].ResponseMessage.oneOf[1]array si
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object si
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Ejemplo de respuesta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/set_start_incoming_payment_session",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Name": "synthetic-example",
        "MetaInformation": [],
        "KeyValueList": [],
        "KeyValueFieldList": []
    }
}
Documentación del endpoint legible por máquinas